Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class GraphFormatDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          oracle.bali.ewt.dialog.JEWTDialog
                              samples.javaclient.analyzer.GraphFormatDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class GraphFormatDialog
extends oracle.bali.ewt.dialog.JEWTDialog

Tabbed Dialog for customizing all of the key aspects of the graph. This class takes the individual graph customizer panels (Title, Legend, PlotArea, GroupAxis, ValueAxis and GraphLayout) and places them in a tabbed dialog.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class oracle.bali.ewt.dialog.JEWTDialog
``

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private static java.lang.String` | `FORMAT_GRAPH` Text for the title of this dialog: "Format Graph".
`private oracle.dss.graph.gui.GraphLayout` | `graphLayout` Layout panel.
`private oracle.dss.graph.gui.GraphStylePanel` | `graphStylePanel` Graph Style panel.
`private oracle.dss.graph.gui.GroupAxis` | `groupAxis` Group axis panel for the horizontal axis on most graph types.
`private static java.lang.String` | `LAYOUT` Text for the layout panel: "Layout".
`private oracle.dss.graph.gui.Legend` | `legend` Legend panel.
`private static java.lang.String` | `LEGEND` Text for the Legend panel: "Legend".
`private oracle.dss.graph.Graph` | `m_graph` The graph whose properties will be affected by the settings in this dialog.
`private javax.swing.JTabbedPane` | `pane` Tabbed pane to hold the panels.
`private static java.lang.String` | `PLOT_AREA` Text for the plot area panel: "Plot Area".
`private oracle.dss.graph.gui.PlotArea` | `plotArea` Plot area panel.
`private static java.lang.String` | `STYLE` Text for the Graph Style panel: "Style".
`private static java.lang.String` | `TITLE` Text for the Title panel: "Title".
`private oracle.dss.graph.gui.Title` | `titlePanel` Title panel.
`private static java.lang.String` | `X_AXIS` Text for the X-axis panel: "X Axis".
`private oracle.dss.graph.gui.ValueAxis` | `x1Axis` Data axis panel for the horizontal axis on scatter and bubble graphs.
`private static java.lang.String` | `Y1_AXIS` Text for the Y1-Axis panel: "Y1 Axis".
`private oracle.dss.graph.gui.ValueAxis` | `y1Axis` Data axis panel for the left axis.
`private static java.lang.String` | `Y2_AXIS` Text for the Y2-Axis panel: "Y2 Axis".
`private oracle.dss.graph.gui.ValueAxis` | `y2Axis` Data axis panel for the right axis.

Fields inherited from class oracle.bali.ewt.dialog.JEWTDialog
`ACTION_APPLY, BUTTON_APPLY, BUTTON_CANCEL, BUTTON_CLOSE, BUTTON_DEFAULT, BUTTON_HELP, BUTTON_NONE, BUTTON_OK, PROPERTY_CLOSED`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
``

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GraphFormatDialog(oracle.dss.graph.Graph graph)` Constructor.

Method Summary
`void` | `applyFormat()` Applies the format that was specified by the user.
`private boolean` | `isDual(int graphType)` Indicates whether a graph type supports a Y2-axis.

Methods inherited from class oracle.bali.ewt.dialog.JEWTDialog
`addActionListener, addCustomButton, addNotify, addPropertyChangeListener, addVetoableChangeListener, createDialog, dialogInit, dismissDialog, dispose, firePropertyChange, fireVetoableChange, getAccessibleContext, getButtonMask, getButtonMnemonic, getCancelButtonMnemonic, getCancelButtonText, getCenterOver, getContent, getCustomButton, getCustomButtonCount, getDefaultButton, getInitialFocus, getMaximunInitialSize, getMinimumSize, getOKButtonMnemonic, getOKButtonText, getPreferredSize, isCancelled, isDialogClosingEvent, isOKButtonEnabled, pack, processActionEvent, processComponentEvent, processEvent, processWindowEvent, removeActionListener, removeCustomButton, removePropertyChangeListener, removeVetoableChangeListener, runDialog, setButtonMask, setCancelButtonMnemonic, setCancelButtonText, setCenterOver, setContent, setDefaultButton, setInitialFocus, setMaximumInitialSize, setMaximumInitialSize, setMinimumSize, setMinimumSize, setOKButtonEnabled, setOKButtonMnemonic, setOKButtonText, setPreferredSize, setPreferredSize`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, postEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_graph

    private oracle.dss.graph.Graph m_graph

  The graph whose properties will be affected by the settings in this dialog.

### graphStylePanel

    private oracle.dss.graph.gui.GraphStylePanel graphStylePanel

  Graph Style panel. Predefined, visually appealing graph styles panel.

### plotArea

    private oracle.dss.graph.gui.PlotArea plotArea

  Plot area panel. Sets background colors, marker colors, marker text, and so on.

### titlePanel

    private oracle.dss.graph.gui.Title titlePanel

  Title panel. Sets title attributes.

### x1Axis

    private oracle.dss.graph.gui.ValueAxis x1Axis

  Data axis panel for the horizontal axis on scatter and bubble graphs. Sets scaling and axis titles.

### y1Axis

    private oracle.dss.graph.gui.ValueAxis y1Axis

  Data axis panel for the left axis. Sets scaling and axis titles.

### y2Axis

    private oracle.dss.graph.gui.ValueAxis y2Axis

  Data axis panel for the right axis. Sets scaling and axis titles.

### groupAxis

    private oracle.dss.graph.gui.GroupAxis groupAxis

  Group axis panel for the horizontal axis on most graph types. Sets label skipping, font attributes, and axis titles.

### legend

    private oracle.dss.graph.gui.Legend legend

  Legend panel.

### graphLayout

    private oracle.dss.graph.gui.GraphLayout graphLayout

  Layout panel.

### pane

    private javax.swing.JTabbedPane pane

  Tabbed pane to hold the panels.

### FORMAT_GRAPH

    private static final java.lang.String FORMAT_GRAPH

  Text for the title of this dialog: "Format Graph".

  See Also:
    Constant Field Values

### STYLE

    private static final java.lang.String STYLE

  Text for the Graph Style panel: "Style".

  See Also:
    Constant Field Values

### TITLE

    private static final java.lang.String TITLE

  Text for the Title panel: "Title".

  See Also:
    Constant Field Values

### LEGEND

    private static final java.lang.String LEGEND

  Text for the Legend panel: "Legend".

  See Also:
    Constant Field Values

### PLOT_AREA

    private static final java.lang.String PLOT_AREA

  Text for the plot area panel: "Plot Area".

  See Also:
    Constant Field Values

### X_AXIS

    private static final java.lang.String X_AXIS

  Text for the X-axis panel: "X Axis".

  See Also:
    Constant Field Values

### Y1_AXIS

    private static final java.lang.String Y1_AXIS

  Text for the Y1-Axis panel: "Y1 Axis".

  See Also:
    Constant Field Values

### Y2_AXIS

    private static final java.lang.String Y2_AXIS

  Text for the Y2-Axis panel: "Y2 Axis".

  See Also:
    Constant Field Values

### LAYOUT

    private static final java.lang.String LAYOUT

  Text for the layout panel: "Layout".

  See Also:
    Constant Field Values

Constructor Detail

### GraphFormatDialog

    public GraphFormatDialog(oracle.dss.graph.Graph graph)

  Constructor. Sets up the dialog using the prebuilt BI Beans Graph customizer panels.

Parameters:
  `graph` - The graph to format.

Method Detail

### applyFormat

    public void applyFormat()

  Applies the format that was specified by the user.

### isDual

    private boolean isDual(int graphType)

  Indicates whether a graph type supports a Y2-axis.

  Note: In 9.0.5, the Graph class will have this method, under the name isDualY. When you move to 9.0.5, you should call the Graph method instead of this one. The Graph method will be updated when new graph types are added.

  Parameters:
    `graphType` - The graph type to check.
  Returns:
    `true` if the graph type supports a Y2-axis, `false` if it does not.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD